Subject: bug#11304: closed (Re: bug#11304: mouse-autoselect-window causes loss of messages from echo area)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Apr 2012 09:20:02 +0000

Your bug report

#11304: mouse-autoselect-window causes loss of messages from echo area

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11304: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11304: mouse-autoselect-window causes loss of messages from echo area
From: martin rudalics <[email-masked]>
To: [email-masked]
Cc: Kelly Dean <[email-masked]>, Stefan Monnier <[email-masked]>
Date: Tue, 24 Apr 2012 11:18:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 > This looks right, thank you,

Installed in the trunk together with the change in
`handle-select-window'.  If we decide that we don't want the latter, for
example, because we don't like "Clearing the minibuffer/echo-area for
global indicators", we can remove it at any time.

martin

Subject: mouse-autoselect-window causes loss of messages from echo area
From: Kelly Dean <[email-masked]>
To: [email-masked]
Date: Sat, 21 Apr 2012 02:53:25 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using Emacs on X on Debian 6 Stable. emacs-version says GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0) of 2010-12-11 on raven, modified by Debian.
Steps to reproduce the bug (or maybe it's an intentional feature, but if so, I don't see the purpose):
Put just the following in your .emacs file:
(setq mouse-autoselect-window t)
Start Emacs with no options.
Press C-g.
Move your mouse pointer across the echo area. Emacs erases "Quit". The desired behavior is to not erase the text; I routinely inadvertently move the pointer across the echo area when moving the pointer to another window (of the window manager, not of Emacs), and when I go back to Emacs, I then have to switch to *Messages* to see what the last message was, rather than just looking at the echo area. Disabling mouse-autoselect-window to avoid the bug isn't an option; the feature is too useful.